﻿<!DOCTYPE html><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /></head><body>
<%var lang = args["language_type"]; %>
<div id="CabinetSet" class="clearfix">
	<div class="CabinetList clearfix">
		<div class="CabinetBranch" id="CabinetBranch" template='
			<ul>
				<li><span>/*[ID_RATING]*/:</span><em title="{{=it.list[1]}} A">{{=it.list[1]}} A</em><input type="text" class="set_value" name="_content" value="{{=it.list[1]}}" size="64" maxlength="6" /></li>
				<li><span>/*[ID_RATING_POWER]*/:</span><em title="{{=it.list[3]}} W">{{=it.list[3]}} W</em><input type="text" class="set_value" name="_content2" value="{{=it.list[3]}}" size="64" maxlength="6" /></li>
				<li><span>/*[ID_COMBINE]*/:</span><em title="{{=it.list[2]}}">{{=it.list[2]}}</em><input type="text" class="set_value" name="_content1" size="64" maxlength="64" /></li>
				<li><span>/*[ID_EXAMPLE]*/:</span><em>DU1.1.1,DU1.1.2</em></li>
				<li class="info" id="SetTips"></li>
				<li class="btn"><a href="#" hidefocus="true" class="btn_set" style="display:none;" id="btn_set"><i>/*[ID_SET]*/</i></a><a href="#" hidefocus="true" class="btn_set" style="display:none;" id="btn_reset"><i>/*[ID_UNBIND]*/</i></a></li>
			</ul>
		'>
		{CabinetBranch}
		</div>
		<div class="CabinetBox consumption-maps" id="CabinetBox" template='
				<ul>
                <li><span>/*[ID_NAME]*/:</span><em title="{{=it.list[0]}}">{{=it.list[0]}}</em><input type="text" class="set_value" name="_content" value="{{=it.list[0]}}" size="64" maxlength="16" /></li>
                <li><span>/*[ID_LEVEL1]*/:</span><em title="{{=it.list[1]}}">{{=it.list[1]}} %</em><input type="text" name="_content" value="{{=it.list[1]}}" size="100" /></li>
		<li><span>/*[ID_LEVEL2]*/:</span><em title="{{=it.list[2]}}">{{=it.list[2]}} %</em><input type="text" name="_content" value="{{=it.list[2]}}" size="100" /></li>
		<li><span>/*[ID_POWER_LEVEL]*/:</span><em title="{{=it.list[3]}}">{{=it.list[3]}} kW</em><input type="text" name="_content" value="{{=it.list[3]}}" size="100" /></li>
                <li class="info" id="SetTips"></li>
                <li class="btn"><a href="#" hidefocus="true" class="btn_set" style="display:none;"><i>/*[ID_SET2]*/</i></a></li>
            </ul>
			'>
			<%
		    var X = data.X_Axis>30 ? 30 : data.X_Axis;
			var Y = data.Y_Axis>20 ? 20 : data.Y_Axis;
			var total = X*Y;
			var dataLength = data.element.length;
			total = total > dataLength ? dataLength : total; 
			%>
			<div id="ConsumptionMapList" class="clearfix" style="width:<%=41*(total>X?X:total)+3%>px;">
			<div class="CabinetRefresh" id="CabinetRefresh"><span></span></div>
			<div id="CabinetDetail" class="CabinetDetail">
				<div class="CabinetDetailTitle"><span class="CabinetArrow" id="CabinetArrow"></span></div>
				<div id="CabinetDetailContent" class="CabinetDetailContent" ></div>
			</div>
			<ul>
			<%for(var i=0; i<total; i++){
			var isConfig = data.element[i][0]==0 ? false : true;
			%>
				<li class="<%if(isConfig){%>allocate<%} else {%>unallocated<%}%>" index="<%=i+1 %>">
						<em class='<%if(!isConfig){%> hc<%}%>'><%=data.element[i][2]%></em>
						<span <%if(!isConfig){%>style="display:none"<%}%>><%=data.element[i][3]%></span>
						<a href="#"></a>
				</li>
			<%} %>			
			</ul>
			</div>
		</div>
		<div class="BoxInfo"><p style="display:none" id="BoxInfo"><span></span> /*[ID_TIPS]*/ ( <i>0</i> /*[ID_BRANCH]*/)</p></div>
		<div class="CabinetInfo"><a class="btn_2" href="#" id="BtnCabinetSet"><span>/*[ID_SET1]*/</span></a><a class="btn_2 " href="#"  id="ShowDetail" style="display:none"><span>/*[ID_TIPS1]*/</span></a><a class="btn_2" href="#" id="BtnCloseDetail" style="display:none"><span>/*[ID_TIPS2]*/</span></a><a class="btn_2 " href="#"  id="BtnReset" style="display:none"><span>/*[ID_RESET]*/</span></a></div>
	</div>
	
</div>
</body></html>
<%
window.Language["cabinet_set"] = {
	"error":[
		"/*[ID_ERROR1]*/",	/*[0]"Failure"*/
		"/*[ID_ERROR2]*/",	/*[1]"Successful"*/
		"/*[ID_ERROR3]*/",	/*[2]"Enough authority"*/
		"/*[ID_ERROR4]*/",	/*[3]"Hardware Protection"*/
		"/*[ID_ERROR5]*/",	/*[4]"Failed. You can't bind an allocated branch."*/
		"/*[ID_ERROR6]*/",	/*[5]"Failed. You can't bind a branch which has been binded."*/
		"/*[ID_ERROR7]*/",	/*[6]"Failed. You can't bind a branch which contains other branches."*/
		"/*[ID_ERROR8]*/",	/*[7]"Failed. You can't bind the branch itself."*/
		"/*[ID_ERROR9]*/",	/*[8]"Please unbind first, and re-bind."*/
		"/*[ID_ERROR10]*/"	/*[9]"Can't unbind."*/
	],
	"tips":[
		"/*[ID_TIPS3]*/",	/*[0]"Success to select."*/
		"/*[ID_TIPS4]*/",	/*[1]"Click to delete"*/
		"/*[ID_TIPS5]*/",	/*[2]"Please select a cabinet to set."*/
		"/*[ID_TIPS6]*/",	/*[3]"This Cabinet has been set"*/
		"/*[ID_TIPS7]*/",	/*[4]"branches, confirm to cancel?"*/
		"/*[ID_TIPS8]*/",	/*[5]"Please select"*/
		"/*[ID_TIPS9]*/",	/*[6]"no allocation"*/
		"/*[ID_TIPS10]*/",	/*[7]"Please add one or more branches for the selected cabinet"*/
		"/*[ID_TIPS11]*/",	/*[8]"Success to deselect"*/
		"/*[ID_TIPS12]*/",	/*[9]"Reset cabinet...please wait"*/
		"/*[ID_TIPS13]*/",	/*[10]"Reset Successful,please wait"*/
		"/*[ID_TIPS14]*/",	/*[11]"Exceed 20"*/
		"/*[ID_TIPS15]*/",	/*[12]"name more than 16 characters"*/
		"/*[ID_TIPS16]*/",	/*[13]"alarm level must be numeric, and can only set a decimal"*/
		"/*[ID_TIPS18]*/",	/*[14]"name must be 0 to 10000, and can only have one decimal"*/
		"/*[ID_TIPS19]*/",	/*[15]"Are you sure to reset the current cabinet branch?"*/
		"/*[ID_TIPS20]*/",	/*[16]"name must be 0 to 10000, and can only have one decimal"*/
	]
};
%>
<script>
        if(!(window.location.href.toString().indexOf("hl")>-1))
        {
            var IPurl = window.location.href.toString().split("app")[0];
            window.location.href=""+IPurl+"app/www_user/html/eng/login.html";
        }
</script>